Subject: Re: git svn clone throws Svndiff data contains backward-sliding source view error

From: Eric Wong <[email-masked]>
Date: Thu, 30 Apr 2020 19:14:43 +0000

chaya shetty <[email-masked]> wrote:
> Hi team,
> 
> I am trying to migrate my SVN project to git, using simple git svn
> clone command. The conversion stops at some revision with error:
>  0 [main] perl 2287 cygwin_exception::open_stackdumpfile: Dumping
> stack trace to perl.exe.stackdump
> 
> So, I tried to resume the migration using git svn fetch. It runs for
> few minutes and again stops with the below error:
> Svndiff data contains backward-sliding source view: Svndiff has
> backwards-sliding source views at C:/Program
> Files/Git/mingw64/share/perl5/Git/SVN/Ra.pm line 312.

That looks like an error thrown from the SVN libraries which
git-svn uses.  Perhaps contacting SVN developers can help,
since it's nothing I've seen before.

I also have no idea about the quality of libsvn, Perl, or
git-svn on cygwin or any Windows builds.  Would you happen to
have a Linux or *BSD machine to try "git svn clone" on?

Thanks